Subject: Re: PS3 platform is broken on Linux 3.7.0

From: Geoff Levand <[email-masked]>
Date: Mon, 14 Jan 2013 15:37:21 -0800

Hi,

On Fri, 2013-01-11 at 18:12 -0800, Geoff Levand wrote:
> I checked these, and Michael's 407821a34fce89b4f0b031dbab5cec7d059f46bc
> does indeed cause the LV1 hypervisor to panic early, and if that is
> reverted, Aneesh's 048ee0993ec8360abb0b51bdf8f8721e9ed62ec4 hits a BUG.

Just to give an update, I did a little more work on it and found that
the call to lv1_insert_htab_entry() inside ps3_hpte_insert() is
failing.

   http://git.kernel.org/?p=linux/kernel/git/geoff/ps3-linux.git;a=blob;f=arch/powerpc/platforms/ps3/htab.c;hb=HEAD#l70

The values of the variables printed all look strange compared with
commit 048ee0993 reverted.  I'll try do some more work on it this
week.

-Geoff